> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Payment History

> Get the current user's Stripe payment history for the project.



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/payments/stripe/my-payments
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/payments/stripe/my-payments:
    get:
      tags:
        - Stripe Subscriptions
      summary: Get My Payment History
      description: Get the current user's Stripe payment history for the project.
      operationId: get_my_payments_api_v1_payments_stripe_my_payments_get
      parameters:
        - name: test_mode
          in: query
          required: false
          schema:
            type: boolean
            description: Use test mode
            default: true
            title: Test Mode
          description: Use test mode
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripePaymentListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StripePaymentListResponse:
      properties:
        payments:
          items:
            $ref: '#/components/schemas/StripePaymentResponse'
          type: array
          title: Payments
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - payments
        - total
        - page
        - page_size
      title: StripePaymentListResponse
      description: Paginated list of Stripe payments.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StripePaymentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        subscription_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Subscription Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        is_test_mode:
          type: boolean
          title: Is Test Mode
        payment_intent_id:
          type: string
          title: Payment Intent Id
        status:
          type: string
          title: Status
        amount_cents:
          type: integer
          title: Amount Cents
        currency:
          type: string
          title: Currency
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        refunded_amount_cents:
          type: integer
          title: Refunded Amount Cents
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - project_id
        - is_test_mode
        - payment_intent_id
        - status
        - amount_cents
        - currency
        - created_at
      title: StripePaymentResponse
      description: Stripe payment details.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````